program fjf518c;

var Called: Boolean = False;

function i: Integer;
begin
  Called := True;
  i := 42
end;

begin
  if {$local W-} i in [] then {$endlocal}
    WriteLn ('failed 1')
  else if not Called then
    WriteLn ('failed 2')
  else
    WriteLn ('OK')
end.
